FCPort (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.FCPort interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface FCPort

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface FCPort

extends LogicalDevice

A Fibre Channel port

Naming Rules:
  0="parent,deviceID" 1="permanentAddress" 2="managedSystemName"
Persistable:
  true
Table Name:
  FCPRTDEV
Display Name:
  parent,deviceID,permanentAddress

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.LogicalDevice
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDeviceID()` A unique identifier for the port.
`ComputerSystem` | `getParent()` The ComputerSystem this port is part of
`java.lang.String` | `getPermanentAddress()` The port's WWN.
`int` | `getPortNumber()` NetworkPorts are often numbered relative to either a logical module or a network element.
`int` | `getPortType()` Type of the port
`long` | `getSpeed()` Speed of zero represents a link not established.
`boolean` | `hasDeviceID()`
`boolean` | `hasParent()`
`boolean` | `hasPermanentAddress()`
`boolean` | `hasPortNumber()`
`boolean` | `hasPortType()`
`boolean` | `hasSpeed()`
`void` | `setDeviceID(java.lang.String id)`
`void` | `setParent(ComputerSystem parent)`
`void` | `setPermanentAddress(java.lang.String address)`
`void` | `setPortNumber(int number)`
`void` | `setPortType(int type)`
`void` | `setSpeed(long speed)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  The ComputerSystem this port is part of

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getDeviceID

    java.lang.String getDeviceID()
                                 throws AttributeNotSetException

  A unique identifier for the port.

  Throws:
    `AttributeNotSetException`

### setDeviceID

    void setDeviceID(java.lang.String id)

### hasDeviceID

    boolean hasDeviceID()

### getPermanentAddress

    java.lang.String getPermanentAddress()
                                         throws AttributeNotSetException

  The port's WWN.

  Throws:
    `AttributeNotSetException`

### setPermanentAddress

    void setPermanentAddress(java.lang.String address)

### hasPermanentAddress

    boolean hasPermanentAddress()

### getPortNumber

    int getPortNumber()
                      throws AttributeNotSetException

  NetworkPorts are often numbered relative to either a logical module or a network element.

  Throws:
    `AttributeNotSetException`

### setPortNumber

    void setPortNumber(int number)

### hasPortNumber

    boolean hasPortNumber()

### getSpeed

    long getSpeed()
                  throws AttributeNotSetException

  Speed of zero represents a link not established. 1Gb is 1062500000 bps 2Gb is 2125000000 bps 4Gb is 4250000000 bps 10Gb single channel variants are 10518750000 bps 10Gb four channel variants are 12750000000 bps

  Throws:
    `AttributeNotSetException`

### setSpeed

    void setSpeed(long speed)

### hasSpeed

    boolean hasSpeed()

### getPortType

    int getPortType()
                    throws AttributeNotSetException

  Type of the port

  Throws:
    `AttributeNotSetException`

### setPortType

    void setPortType(int type)

### hasPortType

    boolean hasPortType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD